Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256458 - Can't emerge kde-base/kdelibs-4.1.4 - unable to link libkdecore.so
Summary: Can't emerge kde-base/kdelibs-4.1.4 - unable to link libkdecore.so
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-26 20:57 UTC by Jan Van Uytven
Modified: 2009-10-19 15:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
The build.log file (build.log,69.60 KB, text/plain)
2009-01-27 19:26 UTC, Jan Van Uytven
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Van Uytven 2009-01-26 20:57:58 UTC
Trying to emerge kdelibs-4.1.4 (necessary for emerging some packages like Umbrello) results in the following error.  Kde-3.5.9 is currently installed.  This is on a x86_64 system with the '~amd64' flag set.


tombstone ~ # emerge kdelibs
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) kde-base/kdelibs-4.1.4
 * kdelibs-4.1.4.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                 [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
...
<snip>
...
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/network/klocalsocket_unix.o
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/network/netsupp.o
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/io/klockfile_unix.o
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/util/kshell_unix.o
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/util/kuser_unix.o
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/util/kmacroexpander_unix.o
[  7%] Building C object kdecore/CMakeFiles/kdecore.dir/fakes.o
[  7%] Building CXX object kdecore/CMakeFiles/kdecore.dir/kdecore_automoc.o
Linking CXX shared library ../lib/libkdecore.so
[  7%] Built target kdecore
make: *** [all] Error 2
 *
 * ERROR: kde-base/kdelibs-4.1.4 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3154:  Called kde4-base_src_compile
 *             environment, line 2286:  Called kde4-base_src_make
 *             environment, line 2346:  Called cmake-utils_src_make
 *             environment, line  808:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *  The die message:
 *   Make failed!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/kde-base/kdelibs-4.1.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kdelibs-4.1.4/temp/environment'.
 *

>>> Failed to emerge kde-base/kdelibs-4.1.4, Log file:

>>>  '/var/tmp/portage/kde-base/kdelibs-4.1.4/temp/build.log'

 * Messages for package kde-base/kdelibs-4.1.4:

 *
 * ERROR: kde-base/kdelibs-4.1.4 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3154:  Called kde4-base_src_compile
 *             environment, line 2286:  Called kde4-base_src_make
 *             environment, line 2346:  Called cmake-utils_src_make
 *             environment, line  808:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *  The die message:
 *   Make failed!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/kde-base/kdelibs-4.1.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kdelibs-4.1.4/temp/environment'.
 *
tombstone ~ # 

Reproducible: Always

Steps to Reproduce:
1. emerge kde. (Gets 3.5.9)
2. emerge kde-libs. (tries 4.1.4)
3.

Actual Results:  
Emerge dies with a linking error.

Expected Results:  
kdelibs-4.1.4 emerges.

tombstone ~ # emerge --info
Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.23-gentoo-r8 x86_64)
=================================================================
System uname: Linux-2.6.23-gentoo-r8-x86_64-Dual_Core_AMD_Opteron-tm-_Processor_165-with-glibc2.2.5
Timestamp of tree: Fri, 23 Jan 2009 18:35:01 +0000
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r13, 2.5.2-r8
dev-python/pycrypto: 2.0.1-r5
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18.50.0.9
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=k8"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=k8"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.arcticnetwork.ca/source/ http://gentoo.mirrors.tera-byte.com/ "
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox flax fortran gdbm gif gpm gstreamer gtk hal iconv imap imlib isdnlog java jpeg kde ldap libnotify mad maildir midi mikmod mmx mp3 mpeg mudflap multilib mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt qt3 qt3support qt4 quicktime readline reflection samba sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd tetex tiff truetype unicode usb vorbis xinerama xml xorg xulrunner xv zlib" ALSA_CARDS="snd-intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Timo Gurr (RETIRED) gentoo-dev 2009-01-27 11:06:49 UTC
Please attach the complete build.log.
Comment 2 Jan Van Uytven 2009-01-27 19:26:46 UTC
Created attachment 179899 [details]
The build.log file
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-01-29 04:08:59 UTC
/usr/bin/qdbusxml2cpp: symbol lookup error: /usr/bin/qdbusxml2cpp: undefined symbol: _Z7qstrcmpRK10QByteArrayPKc
make[2]: *** [solid/solid/org_kde_solid_networking_client.cpp] Error 127
make[1]: *** [solid/solid/CMakeFiles/solid.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

relevant error above.
What version of QT are you using?
Comment 4 Jan Van Uytven 2009-01-29 18:14:35 UTC
I'm using 4.4.2:

tombstone ~ # emerge -pv qt-core

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-libs/qt-core-4.4.2  USE="qt3support ssl -debug -doc -glib -pch" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
tombstone ~ # 
Comment 5 Jan Van Uytven 2009-01-29 23:00:44 UTC
It looks like I actually have 3.3.8b!  I'll try emerging qt 4, and then try again.

tombstone ~ # emerge -pv qt

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-libs/qt-xmlpatterns-4.4.2  USE="-debug -pch" 0 kB
[ebuild  N    ] x11-libs/qt-assistant-4.4.2-r1  USE="webkit -debug -pch" 0 kB
[ebuild  NS   ] x11-libs/qt-4.4.2 [3.3.8b-r1] USE="dbus opengl qt3support" 0 kB

Total: 3 packages (2 new, 1 in new slot), Size of downloads: 0 kB
tombstone ~ #
Comment 6 Jan Van Uytven 2009-01-29 23:16:16 UTC
Unfortunately, emerging qt-4.4.2 had no effect - the kdelibs emerge died in the same place as before.
Comment 7 Timo Gurr (RETIRED) gentoo-dev 2009-01-29 23:18:29 UTC
x11-libs/qt is only a meta package which pulls in all split qt parts, no need to install it. Just run revdep-rebuild, reinstall qt-dbus and see if kdelibs compiles afterwards.
Comment 8 Jan Van Uytven 2009-01-30 16:15:05 UTC
(In reply to comment #7)
> x11-libs/qt is only a meta package which pulls in all split qt parts, no need
> to install it. Just run revdep-rebuild, reinstall qt-dbus and see if kdelibs
> compiles afterwards.
> 

Ran revdep-rebuild a couple of times, at the end it just keeps recompiling swt over and over... re-emerged qt-dbus without a problem, but kdelibs is still dying at the same place.

Comment 9 Asher 2009-04-19 01:56:55 UTC
Try emerge --unmerge soprano
I had the same problem, I unmerge soprano, emerge'd kdelibs which reinstalled soprano and it worked.
Comment 10 Maciej Mrozowski gentoo-dev 2009-07-05 16:33:58 UTC
Can you reproduce with 4.2.4? (most likely not, but it's always better to ask)
Comment 11 Samuli Suominen (RETIRED) gentoo-dev 2009-10-19 15:09:30 UTC
(In reply to comment #10)
> Can you reproduce with 4.2.4? (most likely not, but it's always better to ask)
> 

More like 4.3.1 or above.

Please reopen if this is still a problem.